## org.hibernate.hql.internal.classic
Interface Parser

All Known Implementing Classes:
  ClauseParser, FromParser, FromPathExpressionParser, GroupByParser, HavingParser, OrderByParser, PathExpressionParser, PreprocessingParser, SelectParser, SelectPathExpressionParser, WhereParser

    public interface Parser

A parser is a state machine that accepts a string of tokens, bounded by start() and end() and modifies a QueryTranslator. Parsers are NOT intended to be threadsafe. They SHOULD be reuseable for more than one token stream.

Method Summary
`void` `end(QueryTranslatorImpl q)`
`void` `start(QueryTranslatorImpl q)`
`void` `token(String token, QueryTranslatorImpl q)`

Method Detail

### token

    void token(String token,
               QueryTranslatorImpl q)
               throws QueryException

  Throws:
    `QueryException`

### start

    void start(QueryTranslatorImpl q)
               throws QueryException

  Throws:
    `QueryException`

### end

    void end(QueryTranslatorImpl q)
             throws QueryException

  Throws:
    `QueryException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.